Name:          zynaddsubfx
Version:       3.0.6
Release:       2mamba
Summary:       A software synthesizer capable of making a countless number of instruments
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/zynaddsubfx/
Source:        https://sourceforge.net/projects/zynaddsubfx/files/zynaddsubfx/%{version}/zynaddsubfx-%{version}.tar.bz2
Patch0:        zynaddsubfx-3.0.6-gcc-14.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libalsa-devel
BuildRequires: libdbus-devel
BuildRequires: libfftw-devel
BuildRequires: libfltk-devel
BuildRequires: libfontconfig-devel
BuildRequires: libgcc
BuildRequires: libglu-devel
BuildRequires: libglvnd-devel
BuildRequires: libjack-devel
BuildRequires: libjpeg-devel
BuildRequires: liblash-devel
BuildRequires: liblo-devel
BuildRequires: libmxml-devel
BuildRequires: libpng-devel
BuildRequires: libportaudio-devel
BuildRequires: libsndio-devel
BuildRequires: libstdc++6-devel
BuildRequires: libuuid-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: dssi-devel
Provides:      ZynAddSubFX
Obsoletes:     ZynAddSubFX < 3.0.6-2mamba

%description
ZynAddSubFX is a opensource software synthesizer capable of making a countless number of instruments, from some common heared from expensive hardware to interesting sounds that you'll boost to an amazing universe of sounds.

%debug_package

%prep
%setup -q
%patch 0 -p1 -b .gcc-14

%build
%cmake -d build \
   -DCMAKE_STRIP=/bin/true \
   -DPluginLibDir=%{_lib}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

#install -D -m0755 src/zynaddsubfx %{buildroot}%{_bindir}/zynaddsubfx
#install -D -m0644 zynaddsubfx_icon.ico %{buildroot}%{_datadir}/pixmaps/zynaddsubfx.ico
#install -d -m0755 %{buildroot}%{_datadir}/zynaddsubfx/banks
#install -d -m0755 %{buildroot}%{_datadir}/zynaddsubfx/examples
#install -d -m0755 %{buildroot}%{_datadir}/zynaddsubfx/presets

#cp -a instruments/* %{buildroot}%{_datadir}/zynaddsubfx/

## make and instal DSSI plugin library
#cd src
#sed -i "s|\#\(LINUX_DSSI=YES\)|\1|" Makefile.inc
#sed -i "s|\(^LINUX_DSSI=NO$\)|\#\1|" Makefile.inc
#% make
#install -D -m0755 zynaddsubfx.so %{buildroot}%{_libdir}/dssi/zynaddsubfx.so
#cd ..

#mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
#cat > $RPM_BUILD_ROOT/%{_datadir}/applications/ZynAddSubFX.desktop << EOF
#[Desktop Entry]
#Name=ZynAddSubFX
#GenericName=Software synthetizer
#GenericName[it]=Sintetizzatore software
#Comment=A software synthesizer capable of making a countless number of instruments
#Comment[it]=Un sintetizzatore capace di riprodurre molti strumenti
#Exec=zynaddsubfx
#Type=Application
#Terminal=0
#Icon=%{_datadir}/pixmaps/zynaddsubfx.ico
#Categories=Qt;KDE;AudioVideo;Music;
#EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/zynaddsubfx
%{_bindir}/zynaddsubfx-ext-gui
%{_libdir}/dssi/libzynaddsubfx_dssi.so
%{_libdir}/lv2/*
%{_libdir}/vst/*
%{_datadir}/applications/zynaddsubfx-*.desktop
%{_datadir}/bash-completion/completions/zynaddsubfx
%{_datadir}/pixmaps/zynaddsubfx.*
%dir %{_datadir}/zynaddsubfx
%dir %{_datadir}/zynaddsubfx/banks
%{_datadir}/zynaddsubfx/banks/*
%dir %{_datadir}/zynaddsubfx/examples
%{_datadir}/zynaddsubfx/examples/*
%dir %{_datadir}/doc/zynaddsubfx
%{_datadir}/doc/zynaddsubfx/*
%doc COPYING

%changelog
* Tue Jun 04 2024 Automatic Build System <autodist@mambasoft.it> 3.0.6-2mamba
- renamed from ZynAddSubFX to zynaddsubfx

* Sun Jan 30 2022 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic version update by autodist

* Sat Feb 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-1mamba
- update to 3.0.5

* Fri Feb 08 2013 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Wed Jun 30 2010 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic update by autodist

* Fri Jul 31 2009 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic update by autodist

* Sun Jan 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-3mamba
- rebuilt with standard compiler flags
- enabled DSSI support

* Sat Sep 22 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-2mamba
- added desktop menu icon

* Mon Sep 11 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-1qilnx
- package created by autospec
